<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
	xmlns:gslib="http://www.greenstone.org/skinning"
	extension-element-prefixes="java util"
	exclude-result-prefixes="java util">

	<!-- the page content -->
	<xsl:template match="/page/pageResponse">
				<!-- SLIDER -->
		<xsl:if test="collectionList/collection/displayItem[@name='smallicon']">
		<div class="slider-wrapper theme-default theme-project theme-home">
            <div class="ribbon"><xsl:text> </xsl:text></div>
			
            <div id="slider" class="nivoSlider">
				<xsl:call-template name="collSlider"/>
            </div>
			
        </div>
		<!-- ENDS SLIDER -->
	</xsl:if>
				<!-- headline -->
		<div class="headline">Select a collection to explore!</div>
		<!-- ENDS headline -->
			 	 <!-- Feature -->
	 	 <ul id="filter-container-feature" class="feature">
			<xsl:call-template name="collList"/>
	 	 </ul>
	 	 <!-- ENDS feature -->
	</xsl:template>

	
<xsl:template name="collSlider">
<xsl:for-each select="./collectionList/collection">
<xsl:variable name="homeImage" select="displayItem[@name='smallicon']"/>

<xsl:choose>
<xsl:when test="$homeImage">
<xsl:variable name="collectionFolder" select="@name"/>
<xsl:variable name="collectionName" select="displayItem[@name='name']"/>

<a href="{$library_name}/collection/{$collectionFolder}/page/about">
<img src="sites/{$site_name}/collect/{$collectionFolder}/images/{$homeImage}" title="{$collectionName}" />
</a>
</xsl:when>
<xsl:otherwise/>
</xsl:choose>

</xsl:for-each>
</xsl:template>	

<xsl:template name="collList">
<xsl:for-each select="./collectionList/collection">
<xsl:variable name="collectionFolder" select="@name"/>
<xsl:variable name="collectionName" select="displayItem[@name='name']"/>
<xsl:variable name="homeImage" select="displayItem[@name='smallicon']"/>

		 	<li>
			 	<a href="{$library_name}/collection/{$collectionFolder}/page/about" class="thumb" >
				<xsl:choose>
<xsl:when test="$homeImage">
<img src="sites/{$site_name}/collect/{$collectionFolder}/images/{$homeImage}" title="{$collectionName}" />
</xsl:when>
<xsl:otherwise>
<img src="interfaces/{$interface_name}/images/default.jpg" title="{$collectionName}" />
</xsl:otherwise>
</xsl:choose>
				 	
			 	
			 	<div class="caption"><xsl:value-of select="$collectionName"/></div></a>
		 	</li>  


</xsl:for-each>
</xsl:template>	
</xsl:stylesheet>


